#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef WIN32
#include <winsock.h>
#endif

extern void killProgram (int type, char *reason);

struct item{

	int id;
	float x,y,z;
	
	void setPos(float pos[]){
		x=pos[0];
		y=pos[1];
		z=pos[2];
	}
};





class habitacion{

	//Indica a que textura apuntamos
	
	int numPortals;
	float **portal;
	int *portalNeighbour;
	item *itemObj;
	int numItems;
	item *weaponObj;
	int numWeapons;
		
	float *vertex;
	float *textureVertex;
	int *faces;
	int *textureFaces;

	int numVertex;
	int numFaces;
	int numTextureVertex;
	int numTextureFaces;
	int materialRef;

public:
	habitacion();
	~habitacion();
	bool setPortalVertex(int number,float *portalV);
	bool setPortalNeighbour(int neighbour);
	int getPortalNeighbour(int neighbour);
	float getPortalVertex(int which, int vertex_);
	int getNumPortals();

	item &getItem(int pos);
	void setNumItems(int num);
	int getNumItems();

	item &getWeapon(int pos);
	void setNumWeapons(int num);
	int getNumWeapons();


	
	void setVertex(float *vertex_,int numVertex_);

	float *getVertex();

	void setTextureVertex(float *textureVertex_, int numTextureVertex_);

	float *getTextureVertex();

	void setFaces(int *faces_, int numFaces_);

	int *getFaces();

	void setTextureFaces(int *textureFaces_, int numTextureFaces_);

	int *getTextureFaces();

	int getNumVertex();

	int getNumTextureVertex();

	int getNumFaces();

	int getNumTextureFaces();

	void setMaterialRef(int mat);

	int getMaterialRef();

};
